#-- start of make_header -----------------

#====================================
#  Application Vetra
#
#   Generated Fri Apr 28 18:35:10 2006  by szumlat
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_Vetra_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_Vetra_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_Vetra

Vetra_tag = $(tag)

ifdef READONLY
cmt_local_tagfile = /tmp/CMT_$(Vetra_tag)_Vetra.make$(cmt_lock_pid)
else
cmt_local_tagfile = $(Vetra_tag)_Vetra.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

Vetra_tag = $(tag)

ifdef READONLY
cmt_local_tagfile = /tmp/CMT_$(Vetra_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile = $(Vetra_tag).make
endif

endif

-include $(cmt_local_tagfile)

Vetra ::


ifdef READONLY
Vetra ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'Vetra'

#-- end of make_header ------------------
#-- start of application_header

Vetra :: dirs  $(bin)Vetra${application_suffix}
	@/bin/echo "------> Vetra ok"

#-- end of application_header
#-- start of application

$(bin)Vetra${application_suffix} :: $(bin)GaudiMain.o $(use_stamps) $(Vetrastamps) requirements $(use_requirements)
	$(link_echo) $@
	$(link_silent) cd $(bin); $(cpplink) -o Vetra.exe.new $(bin)GaudiMain.o $(use_linkopts) $(Vetralinkopts); mv -f Vetra.exe.new Vetra${application_suffix}

###
### Preparing for next management of use_linkopts and auto_imports :
###  will use  <constituent>_use_linkopts instead of use_linkopts
###
###    $(link_silent) cd $(bin); \
###      $(cpplink) -o Vetra.exe.new $(bin)GaudiMain.o \
###      $(Vetra_use_linkopts) $(Vetralinkopts); \
###      mv -f Vetra.exe.new Vetra${application_suffix}
###	 $(link_silent) cd $(bin); $(cpplink) -o Vetra.exe.new $(bin)GaudiMain.o $(Vetra_use_linkopts) $(Vetralinkopts); mv -f Vetra.exe.new Vetra${application_suffix}



#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/bin
Vetrainstallname = Vetra${application_suffix}

Vetra :: Vetrainstall

install :: Vetrainstall

Vetrainstall :: $(install_dir)/$(Vetrainstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(Vetrainstallname) :: $(bin)$(Vetrainstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$(PACKAGE_ROOT)/$(tag)" "$(Vetrainstallname)" "$(install_dir)" "$(cmt_installarea_command)" ; \
	fi

Vetraclean :: Vetrauninstall

uninstall :: Vetrauninstall

Vetrauninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$(PACKAGE_ROOT)/$(tag)" "$(Vetrainstallname)" "$(install_dir)" ; \
	fi

#-- end of application
#-- start of dependency ------------------

$(bin)Vetra_dependencies.make :: dirs

ifndef QUICK
$(bin)Vetra_dependencies.make :: /afs/cern.ch/lhcb/software/releases/LHCB/LHCB_v20r2/GaudiConf/v9r5/src/GaudiMain.cpp  requirements $(use_requirements) $(cmt_final_setup)
	@echo "------> (Vetra.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) Vetra $${args}
endif

-include $(bin)Vetra_dependencies.make

#-- end of dependency -------------------
#-- start of cpp ------

$(bin)GaudiMain.o : $(GaudiMain_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GaudiMain.o $(use_pp_cppflags) $(Vetra_pp_cppflags) $(app_Vetra_pp_cppflags) $(GaudiMain_pp_cppflags) $(use_cppflags) $(Vetra_cppflags) $(app_Vetra_cppflags) $(GaudiMain_cppflags) $(GaudiMain_cpp_cppflags) -I/afs/cern.ch/lhcb/software/releases/LHCB/LHCB_v20r2/GaudiConf/v9r5/src /afs/cern.ch/lhcb/software/releases/LHCB/LHCB_v20r2/GaudiConf/v9r5/src/GaudiMain.cpp


#-- end of cpp ------
#-- start of cleanup_header --------------

clean :: Vetraclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

Vetraclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_application ------
	-$(cleanup_echo) Vetra${application_suffix}
	-$(cleanup_silent) cd $(bin); /bin/rm -f Vetra${application_suffix}
#-- end of cleanup_application ------
#-- start of cleanup_objects ------
	$(cleanup_echo) objects
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)GaudiMain.o
#-- end of cleanup_objects ------
